org.apache.pdfbox.preflight.metadata

## Class XpacketParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.pdfbox.preflight.metadata.XpacketParsingException

All Implemented Interfaces:
  Serializable

    public class XpacketParsingException
    extends Exception

This exception is raised when the parsing of the xpacket fails

See Also:
  Serialized Form

### Field Summary

Fields
`protected ValidationResult.ValidationError` `error`

### Constructor Summary

Constructors
Constructor and Description
`XpacketParsingException(String message)` Constructor
`XpacketParsingException(String message, Throwable cause)` Constructor
`XpacketParsingException(String message, ValidationResult.ValidationError error)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ValidationResult.ValidationError` `getError()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### error

    protected ValidationResult.ValidationError error

### Constructor Detail

#### XpacketParsingException

    public XpacketParsingException(String message,
                                   Throwable cause)

Constructor

Parameters:
  `message` - the message
  `cause` - the cause

#### XpacketParsingException

    public XpacketParsingException(String message)

Constructor

Parameters:
  `message` - the message

#### XpacketParsingException

    public XpacketParsingException(String message,
                                   ValidationResult.ValidationError error)

### Method Detail

#### getError

    public ValidationResult.ValidationError getError()